image: golang:latest
stages:
- pre_coverage
- coverage
- test

test:
  stage: pre_coverage
  script:
  - make test
  artifacts:
    paths:
    - coverage.out
    expire_in: 1 day
coverage_check:
  stage: coverage
  dependencies:
  - test
  script:
  - make ci_coverage_check
build:
  stage: test
  script:
  - make build

build:
  stage: test
  script:
  - make build
sast:
  stage: test
include:
- template: Security/SAST.gitlab-ci.yml
- template: Security/Dependency-Scanning.gitlab-ci.yml
- template: Security/Secret-Detection.gitlab-ci.yml
